Name:           ckb-next
Version:        0.6.2
Release:        %mkrel 3
Summary:        Corsair RGB keyboard driver for Linux and OS X
Group:          System/Configuration
#bundled kissfft library is BSD
License:        GPLv2 and BSD

URL:            https://github.com/ckb-next/ckb-next
Source0:        https://github.com/ckb-next/ckb-next/archive/v%{version}/%{name}-%{version}.tar.gz

# Upstream provides none of the following files
Source1:        ckb-next.appdata.xml
Source2:        ckb-next.1
Source3:        99-ckb-next.preset
Source4:        README.install.urpmi

Patch0:         ckb-next-0.4.2-fix-daemon-path.patch


BuildRequires:  cmake
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6LinguistTools)
BuildRequires:  cmake(Qt6OpenGLWidgets)
BuildRequires:  cmake(QuaZip-Qt6)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(gudev-1.0)
BuildRequires:  pkgconfig(libsystemd)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  desktop-file-utils
BuildRequires:  appstream-util
BuildRequires:  ImageMagick

Requires(post):   rpm-helper >= %{rpmhelper_required_version}
Requires(preun):  rpm-helper >= %{rpmhelper_required_version}
Requires(postun): rpm-helper >= %{rpmhelper_required_version}

%description
ckb-next is an open-source driver for Corsair keyboards and mice. It aims to
bring the features of their proprietary CUE software to the Linux and Mac
operating systems. This project is currently a work in progress, but it already
supports much of the same functionality, including full RGB animations.

%files
%license LICENSE
%doc CHANGELOG.md FIRMWARE README.md README.install.urpmi
%{_bindir}/*
%{_libexecdir}/%{name}-*
%{_unitdir}/ckb-next-daemon.service
%{_presetdir}/99-ckb-next.preset
%{_datadir}/applications/ckb-next.desktop
%{_datadir}/appdata/ckb-next.appdata.xml
%{_iconsdir}/hicolor/*/apps/ckb-next*
%{_iconsdir}/hicolor/*/status/ckb-next*
%{_mandir}/man1/*
%{_udevrulesdir}/*.rules
%{_libdir}/cmake/ckb-next/

%prep
%autosetup -p1

%build
# We force systemd since autodetection fail inside the buildsystem
%cmake -DCMAKE_BUILD_TYPE=Release \
       -DFORCE_INIT_SYSTEM=systemd \
       -DSAFE_INSTALL=OFF \
       -DSAFE_UNINSTALL=OFF \
       -DCMAKE_INSTALL_PREFIX=%{_prefix} \
       -DCMAKE_INSTALL_LIBEXECDIR=libexec \
       -DDISABLE_UPDATER=1 \
       -DPREFER_QT6=1 \
       -DUDEV_RULE_DIRECTORY=%{_udevrulesdir}

%cmake_build

%install
%cmake_install

%__install -Dpm 0644 %{SOURCE1} %{buildroot}%{_datadir}/appdata/ckb-next.appdata.xml
%__install -Dpm 0644 %{SOURCE2} %{buildroot}%{_mandir}/man1/ckb-next.1
%__install -Dpm 0644 %{SOURCE3} %{buildroot}/%{_presetdir}/99-ckb-next.preset
%__install -Dpm 0644 %{SOURCE4} README.install.urpmi

%check
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/appdata/ckb-next.appdata.xml

%post
%_post_service %{name}-daemon

%preun
%_preun_service %{name}-daemon

%postun
%systemd_postun_with_restart %{name}-daemon


%changelog
* Sat Jun 14 2025 daviddavid <daviddavid> 0.6.2-3.mga10
+ Revision: 2191283
- rebuild for new quazip 1.5

* Tue Apr 08 2025 daviddavid <daviddavid> 0.6.2-2.mga10
+ Revision: 2174206
- switch to Qt6

* Mon Mar 17 2025 julien <julien> 0.6.2-1.mga10
+ Revision: 2165734
- new version 0.6.2

* Sun Mar 09 2025 julien <julien> 0.6.1-1.mga10
+ Revision: 2162394
- new version 0.6.1

* Sun Sep 03 2023 julien <julien> 0.6.0-1.mga10
+ Revision: 1983801
- new version 0.6.0

* Sat Sep 02 2023 daviddavid <daviddavid> 0.5.0-3.mga10
+ Revision: 1983541
- rebuild for new quazip 1.4

* Wed Oct 12 2022 papoteur <papoteur> 0.5.0-2.mga9
+ Revision: 1896519
- Rebuild for quazip-qt5

* Sun May 29 2022 julien <julien> 0.5.0-1.mga9
+ Revision: 1860694
- new version 0.5.0

* Tue Apr 05 2022 umeabot <umeabot> 0.4.4-3.mga9
+ Revision: 1844467
- Mageia 9 Mass Rebuild

* Tue May 18 2021 daviddavid <daviddavid> 0.4.4-2.mga9
+ Revision: 1725477
- switch to new quazip 1.0

* Thu Mar 18 2021 julien <julien> 0.4.4-1.mga9
+ Revision: 1704483
- new version 0.4.4

* Fri Dec 18 2020 julien <julien> 0.4.3-1.mga8
+ Revision: 1661007
- new version 0.4.3
- drop patch 1 & 2, merged upstream
- adjust BR (new dep, new minimal version of Qt)
- adjust filelist for monochrome icons

* Wed Dec 16 2020 umeabot <umeabot> 0.4.2-6.mga8
+ Revision: 1658224
- Rebuild for new Qt5

* Tue Aug 25 2020 daviddavid <daviddavid> 0.4.2-5.mga8
+ Revision: 1618812
- fix wrong path in ckb-next to look for animations into /usr/libexec/ (mga#27192)

* Sat Aug 22 2020 daviddavid <daviddavid> 0.4.2-4.mga8
+ Revision: 1617995
- add upstream to replace AppIndicator with minimal KStatusNotifier

* Sun May 10 2020 julien <julien> 0.4.2-3.mga8
+ Revision: 1582727
- fix build for GCC10 (patch from fedora)
- don't obsolete a package which has never been in mageia

* Tue Feb 18 2020 umeabot <umeabot> 0.4.2-2.mga8
+ Revision: 1541136
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sat Dec 21 2019 julien <julien> 0.4.2-1.mga8
+ Revision: 1469311
- force systemd since autodetection fail inside buildsystem
- update to version 0.4.2
- cleanup and simplify specfile to be more in line with mga policy
- add patch0 to fix daemon path instead
- add message to inform of the need of manually starting the daemon
- imported package ckb-next


* Tue Feb 26 2019 Rob Lemley rob _at_ c a l y p s o blue.org - 0.3.2-1mga7
- Mageia 7 package based on Fedora package.
* Tue Oct 16 2018 Johan Heikkila <johan.heikkila@gmail.com> - 0.3.2:2
- Fixed animations dir
* Sat Oct 13 2018 Johan Heikkila <johan.heikkila@gmail.com> - 0.3.2:1
- Update to 0.3.2 release
* Sun Oct 7 2018 Johan Heikkila <johan.heikkila@gmail.com> - 0.3.1:1
- Update to 0.3.1 release
* Sat Jun 16 2018 Johan Heikkila <johan.heikkila@gmail.com> - 0.3.0:2
- Fixed Epel build
- Fixed animations dir
* Fri Jun 15 2018 Johan Heikkila <johan.heikkila@gmail.com> - 0.3.0:1
- Update to 0.3.0 release
- set QT_QPA_PLATFORMTHEME only for binary
* Mon Jan 22 2018 Johan Heikkila <johan.heikkila@gmail.com> - 0.2.9:0.1.20180122git2316518
- Update to latest snapshot.
* Sun Dec 17 2017 Johan Heikkila <johan.heikkila@gmail.com> - 0.2.8:0.9.20171217git142b307
- Update to latest snapshot.
- Disable debugsource due to build error with empty file debugsourcefiles.list.
* Fri Nov 17 2017 Johan Heikkila <johan.heikkila@gmail.com> - 0.2.8:0.8.20171111gitb88d8be
- Update to latest snapshot.
* Fri Oct 20 2017 Johan Heikkila <johan.heikkila@gmail.com> - 0.2.8:0.7.20171014gitda28864
- Update to latest snapshot.
* Sun Aug 20 2017 Johan Heikkila <johan.heikkila@gmail.com> - 0.2.8:0.6.20170820git6af2773
- Update to latest snapshot.
* Wed Jul 26 2017 Johan Heikkila <johan.heikkila@gmail.com> - 0.2.8:0.5.20170726git9dc8216
- Update to latest snapshot.
- Color change freeze workaround by requiring qt5ct and adding to environment.
* Fri Jul 07 2017 Johan Heikkila <johan.heikkila@gmail.com> - 0.2.8:0.4.20170707git1331253
- Update to latest snapshot.
* Fri Jun 23 2017 Johan Heikkila <johan.heikkila@gmail.com> - 0.2.8:0.3.20170621gitae7346b
- Update to latest snapshot.
* Thu May 25 2017 Johan Heikkila <johan.heikkila@gmail.com> - 0.2.8:0.2.20170525gite54c911
- Fix animation path.
- Update to latest snapshot.
* Thu May 18 2017 Johan Heikkila <johan.heikkila@gmail.com> - 0.2.8:0.1.20170518git5a34841
- Update to 0.2.8 latest snapshot.
* Fri Apr 14 2017 Johan Heikkila <johan.heikkila@gmail.com> - 0.2.7:0.7.20170414git565add5
- Added systemd preset.
- Update to latest snapshot.
* Sun Feb 19 2017 Johan Heikkila <johan.heikkila@gmail.com> - 0.2.7:0.6.20170219gitb59d179
- Changed package name to ckb-next.
- Update to latest snapshot.
* Sun Jan 22 2017 Johan Heikkila <johan.heikkila@gmail.com> - 0.2.7:0.2.20170120git89e8750
- Update to latest snapshot.
* Thu Dec 1 2016 Johan Heikkila <johan.heikkila@gmail.com> - 0.2.6:0.1
- Created spec file for Fedora based on the Suse spec file
- added appdata file
- added man page
* Thu Aug 25 2016 - aloisio@gmx.com
- Update to version 0.2.6
- Use external quazip only when available
- Replaced ckb-fix-desktop-file.patch with %%suse_update_desktop_file
- Replaced ckb-daemon-path.patch and ckb-animations-path.patch with macros \
  for consistency.
* Sun Apr 17 2016 - herbert@graeber-clan.de
- Add hicolor folder, too
* Sun Apr 17 2016 - herbert@graeber-clan.de
- Fix icon folder
* Fri Apr 15 2016 - herbert@graeber-clan.de
- Initial package
- Use /var/run instead of /dev/input for communication with the daemon.
- move the daemon and the animations into the libexec folder
